{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/looking_for_property_request_report/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/looking_for_property_request_report/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('company_location_management_looking_for_property_request_report_report', {'id': lookingForPropertyRequestReport.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center w-100">Gesuchsmeldung, {{ lookingForPropertyRequestReport.getTitle() }} – Meldung löschen</span>
        {{ form_widget(reportDeleteForm.delete, {'label': 'LÖSCHEN', 'id': reportDeleteForm.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg">
        <div class="mdc-card mt-4 p-4 mb-4">
            <h1 class="fs-4 d-flex align-items-center"><span class="material-icons me-2 text-danger">warning_amber</span>Die Meldung und alle verknüpften Daten werden unwiderruflich gelöscht.</h1>
            <p>
                Um die Meldung endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">meldung_{{ lookingForPropertyRequestReport.getId() }}</span>
            </p>
            {{ form_start(reportDeleteForm, {'attr': {'id': reportDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'company_location_management/form/looking_for_property_request_report/looking_for_property_request_report_delete_form.html.twig' with {'form': reportDeleteForm} only %}
            {{ form_row(reportDeleteForm._token) }}
            {{ form_end(reportDeleteForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
